> For the complete documentation index, see [llms.txt](https://api-docs.loopcv.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.loopcv.com/reference/api-reference/loops/matches.md).

# Matches

### Get matches for Loop

<mark style="color:blue;">`GET`</mark> `https://b2b-api.loopcv.com/connect/loop/{loopId}/matches`

This endpoint return the matches. Our system gets the jobs that are collected from the job board and then applies the criteria which are included in the loop such as location, job title and keywords.

#### Path Parameters

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| loopId | String |             |

#### Headers

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| X-API-KEY<mark style="color:red;">\*</mark> | String |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
[
	{
		"_id": "623b8feb2f91e70211f8258c",
		"title": "Senior Software Engineer",
		"company": "Loopcv",
		"location": "Greece",
		"summary": "....",
		"url": "https://careers.loopcv.com/software-engineer",
		"job_type": "Full-tier",
		"applyLink": "https://careers.loopcv.com/software-engineer",
		"email": "careers@loopcv.com",
		"domain": "https://www.loopcv.com"
	}
]
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.loopcv.com/reference/api-reference/loops/matches.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
